#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct StreamingChecklistEventOrigin {
    #[serde(rename = "checklistRid")]
    checklist_rid: super::super::scout::rids::api::ChecklistRid,
    #[builder(custom(type = super::StreamingCheckOriginMetadata, convert = Box::new))]
    #[serde(rename = "checkMetadata")]
    check_metadata: Box<super::StreamingCheckOriginMetadata>,
}
impl StreamingChecklistEventOrigin {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        checklist_rid: super::super::scout::rids::api::ChecklistRid,
        check_metadata: super::StreamingCheckOriginMetadata,
    ) -> Self {
        Self::builder()
            .checklist_rid(checklist_rid)
            .check_metadata(check_metadata)
            .build()
    }
    #[inline]
    pub fn checklist_rid(&self) -> &super::super::scout::rids::api::ChecklistRid {
        &self.checklist_rid
    }
    /// Metadata about the check that created this event.
    #[inline]
    pub fn check_metadata(&self) -> &super::StreamingCheckOriginMetadata {
        &*self.check_metadata
    }
}
